<?php
/**
	An implementation of pathinfo(filename, PATHINFO_FILENAME) for PHP installations
	prior to version 5.2. Versions of PHP prior to 5.2 do not have the PATHINFO_FILENAME
	constant defined.
	@author Gregory Barchard
	@param $file The file to return the information about
	@return Returns the filename of @p $file.
*/
function pathinfo_filename($file) {

	// If the PATHINFO_FILENAME variable is defined, use it
    if (defined('PATHINFO_FILENAME')) return pathinfo($file, PATHINFO_FILENAME);

	// Get the path info for the file
	$pathinfo = pathinfo($file);
	
	// Get the basename (filename.extension)
	$basename = $pathinfo['basename'];
	
	// Return the filename
	return (strstr($basename, '.') ? substr($basename, 0, strrpos($basename, '.')) : $basename);
}
?>